public inbox for git-commits@fedoraproject.org
help / color / mirror / Atom feed
* [tests/selinux] pr775-checkpolicy-revdeps: add the smbcontrol test to upstream repo
@ 2026-09-11 13:19 Milos Malik
  0 siblings, 0 replies; only message in thread
From: Milos Malik @ 2026-09-11 13:19 UTC (permalink / raw)
  To: git-commits

            A new commit has been pushed.

            Repo   : tests/selinux
            Branch : pr775-checkpolicy-revdeps
            Commit : 2efd81d89986db99cc4b906345196aa998604944
            Author : Milos Malik <mmalik@redhat.com>
            Date   : 2021-12-07T19:07:37+00:00
            Stats  : +186/-0 in 4 file(s)
            URL    : https://src.fedoraproject.org/tests/selinux/c/2efd81d89986db99cc4b906345196aa998604944?branch=pr775-checkpolicy-revdeps

            Log:
            add the smbcontrol test to upstream repo

The smbcontrol program is frequently used by various users on Fedora
and RHEL, so it makes sense to run this TC in upstream testing too.
There are no changes in the TC functionality.
Moving the downstream TC to upstream repo.

---
diff --git a/selinux-policy/smbcontrol-and-similar/Makefile b/selinux-policy/smbcontrol-and-similar/Makefile
new file mode 100644
index 0000000..ff42946
--- /dev/null
+++ b/selinux-policy/smbcontrol-and-similar/Makefile
@@ -0,0 +1,70 @@
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+#
+#   Makefile of /CoreOS/selinux-policy/Regression/smbcontrol-and-similar
+#   Description: SELinux interferes with smbcontrol and related programs
+#   Author: Milos Malik <mmalik@redhat.com>
+#
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+#
+#   Copyright (c) 2012 Red Hat, Inc. All rights reserved.
+#
+#   This copyrighted material is made available to anyone wishing
+#   to use, modify, copy, or redistribute it subject to the terms
+#   and conditions of the GNU General Public License version 2.
+#
+#   This program is distributed in the hope that it will be
+#   useful, but WITHOUT ANY WARRANTY; without even the implied
+#   warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
+#   PURPOSE. See the GNU General Public License for more details.
+#
+#   You should have received a copy of the GNU General Public
+#   License along with this program; if not, write to the Free
+#   Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
+#   Boston, MA 02110-1301, USA.
+#
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+
+export TEST=/CoreOS/selinux-policy/Regression/smbcontrol-and-similar
+export TESTVERSION=1.0
+
+BUILT_FILES=
+
+FILES=$(METADATA) runtest.sh Makefile PURPOSE
+
+.PHONY: all install download clean
+
+run: $(FILES) build
+	./runtest.sh
+
+build: $(BUILT_FILES)
+	chmod a+x runtest.sh
+	chcon -t bin_t runtest.sh
+
+clean:
+	rm -f *~ $(BUILT_FILES)
+
+include /usr/share/rhts/lib/rhts-make.include
+
+$(METADATA): Makefile
+	@echo "Owner:           Milos Malik <mmalik@redhat.com>" > $(METADATA)
+	@echo "Name:            $(TEST)" >> $(METADATA)
+	@echo "TestVersion:     $(TESTVERSION)" >> $(METADATA)
+	@echo "Path:            $(TEST_DIR)" >> $(METADATA)
+	@echo "Description:     SELinux interferes with smbcontrol and related programs" >> $(METADATA)
+	@echo "Type:            Regression" >> $(METADATA)
+	@echo "TestTime:        15m" >> $(METADATA)
+	@echo "RunFor:          selinux-policy" >> $(METADATA)
+	@echo "Requires:        audit libselinux libselinux-utils policycoreutils selinux-policy selinux-policy-targeted setools-console samba-common samba-common-tools" >> $(METADATA)
+	@echo "RhtsRequires:    library(selinux-policy/common)" >> $(METADATA)
+	@echo "Priority:        Normal" >> $(METADATA)
+	@echo "License:         GPLv2" >> $(METADATA)
+	@echo "Confidential:    no" >> $(METADATA)
+	@echo "Destructive:     no" >> $(METADATA)
+	@echo "Releases:        -RHEL4 -RHEL5" >> $(METADATA)
+	@echo "Bug:             1326371" >> $(METADATA) # RHEL-7
+	@echo "Bug:             1326621" >> $(METADATA) # RHEL-6
+	@echo "Bug:             1574518" >> $(METADATA) # RHEL-8
+	@echo "Bug:             1574521" >> $(METADATA) # RHEL-7
+
+	rhts-lint $(METADATA)
+

diff --git a/selinux-policy/smbcontrol-and-similar/PURPOSE b/selinux-policy/smbcontrol-and-similar/PURPOSE
new file mode 100644
index 0000000..fe8b846
--- /dev/null
+++ b/selinux-policy/smbcontrol-and-similar/PURPOSE
@@ -0,0 +1,5 @@
+PURPOSE of /CoreOS/selinux-policy/Regression/smbcontrol-and-similar
+Author: Milos Malik <mmalik@redhat.com>
+
+SELinux interferes with smbcontrol and related programs.
+

diff --git a/selinux-policy/smbcontrol-and-similar/main.fmf b/selinux-policy/smbcontrol-and-similar/main.fmf
new file mode 100644
index 0000000..9bf5795
--- /dev/null
+++ b/selinux-policy/smbcontrol-and-similar/main.fmf
@@ -0,0 +1,2 @@
+path: /selinux-policy/smbcontrol-and-similar
+tier: 2

diff --git a/selinux-policy/smbcontrol-and-similar/runtest.sh b/selinux-policy/smbcontrol-and-similar/runtest.sh
new file mode 100755
index 0000000..be1dd40
--- /dev/null
+++ b/selinux-policy/smbcontrol-and-similar/runtest.sh
@@ -0,0 +1,109 @@
+#!/bin/bash
+# vim: dict=/usr/share/beakerlib/dictionary.vim cpt=.,w,b,u,t,i,k
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+#
+#   runtest.sh of /CoreOS/selinux-policy/Regression/smbcontrol-and-similar
+#   Description: SELinux interferes with smbcontrol and related programs
+#   Author: Milos Malik <mmalik@redhat.com>
+#
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+#
+#   Copyright (c) 2012 Red Hat, Inc. All rights reserved.
+#
+#   This copyrighted material is made available to anyone wishing
+#   to use, modify, copy, or redistribute it subject to the terms
+#   and conditions of the GNU General Public License version 2.
+#
+#   This program is distributed in the hope that it will be
+#   useful, but WITHOUT ANY WARRANTY; without even the implied
+#   warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
+#   PURPOSE. See the GNU General Public License for more details.
+#
+#   You should have received a copy of the GNU General Public
+#   License along with this program; if not, write to the Free
+#   Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
+#   Boston, MA 02110-1301, USA.
+#
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+
+# Include Beaker environment
+. /usr/bin/rhts-environment.sh || exit 1
+. /usr/share/beakerlib/beakerlib.sh || exit 1
+
+PACKAGE="selinux-policy"
+FILE_PATH="/usr/bin/smbcontrol"
+FILE_CONTEXT="smbcontrol_exec_t"
+if rlIsRHEL 6 ; then
+    SERVICE_PACKAGE="samba-common"
+else
+    SERVICE_PACKAGE="samba-common-tools"
+fi
+PROCESS_NAME="smbcontrol"
+PROCESS_CONTEXT="smbcontrol_t"
+
+rlJournalStart
+    rlPhaseStartSetup
+        rlRun "rlImport 'selinux-policy/common'"
+        rlSESatisfyRequires
+        rlAssertRpm ${PACKAGE}
+        rlAssertRpm ${PACKAGE}-targeted
+        rlAssertRpm ${SERVICE_PACKAGE}
+
+        rlFileBackup /etc/shadow
+
+        rlSESetEnforce
+        rlSEStatus
+        rlSESetTimestamp
+        sleep 2
+    rlPhaseEnd
+
+    rlPhaseStartTest "bz#1326371 + bz#1326621"
+        rlSEMatchPathCon "${FILE_PATH}" "${FILE_CONTEXT}"
+        SOURCE_TYPE="unconfined_t"
+        BOOLEANS="[ ]"
+        rlSESearchRule "allow ${SOURCE_TYPE} ${FILE_CONTEXT} : file { getattr open read execute } $BOOLEANS"
+        rlSESearchRule "allow ${SOURCE_TYPE} ${PROCESS_CONTEXT} : process { transition } $BOOLEANS"
+        rlSESearchRule "type_transition ${SOURCE_TYPE} ${FILE_CONTEXT} : process ${PROCESS_CONTEXT} $BOOLEANS"
+        rlSESearchRule "allow smbcontrol_t samba_var_t : dir { ioctl read write getattr lock add_name remove_name search open }"
+        rlSESearchRule "allow smbcontrol_t samba_var_t : file { ioctl read write create getattr setattr lock append unlink link rename open }"
+        rlSESearchRule "allow smbcontrol_t samba_var_t : sock_file { ioctl read write create getattr setattr lock append unlink link rename open }"
+        rlSESearchRule "allow smbd_t smbcontrol_t : unix_dgram_socket { sendto }"
+        rlSESearchRule "allow smbcontrol_t smbd_t : unix_dgram_socket { sendto }"
+        rlSESearchRule "allow nmbd_t smbcontrol_t : unix_dgram_socket { sendto }"
+        rlSESearchRule "allow smbcontrol_t nmbd_t : unix_dgram_socket { sendto }"
+        rlSESearchRule "allow winbind_t smbcontrol_t : unix_dgram_socket { sendto }"
+        rlSESearchRule "allow smbcontrol_t winbind_t : unix_dgram_socket { sendto }"
+        rlSESearchRule "allow smbcontrol_t smbcontrol_t : unix_dgram_socket { create ioctl read getattr lock write setattr append bind connect getopt setopt shutdown }"
+        rlSESearchRule "allow smbcontrol_t smbcontrol_t : process { signal signull }"
+    rlPhaseEnd
+
+    if ! rlIsRHEL 5 6 ; then
+    rlPhaseStartTest "bz#1574518 + bz#1574521"
+        rlSEMatchPathCon "/usr/bin/smbcontrol" "smbcontrol_exec_t"
+        rlSEMatchPathCon "/var/lib/samba/lock" "samba_var_t"
+        # following rule assumes that samba_var_lock_t type is not defined
+        rlSESearchRule "allow smbcontrol_t samba_var_t : dir { create add_name write }"
+    rlPhaseEnd
+    fi
+
+    rlPhaseStartTest "real scenario"
+        if ! rlIsRHEL 5 6 ; then
+            rlRun "ls -Z /var/lib/samba/lock"
+        fi
+        rlRun "smbcontrol nmbd ping" 0,1
+        rlRun "smbcontrol smbd ping" 0,1
+        rlRun "smbcontrol winbindd ping" 0,1
+        if ! rlIsRHEL 5 6 ; then
+            rlRun "ls -Z /var/lib/samba/lock"
+        fi
+    rlPhaseEnd
+
+    rlPhaseStartCleanup
+        sleep 2
+        rlSECheckAVC
+
+        rlFileRestore
+    rlPhaseEnd
+rlJournalPrintText
+rlJournalEnd
+

^ permalink raw reply related	[flat|nested] only message in thread

only message in thread, other threads:[~2026-09-11 13:19 UTC | newest]

Thread overview: (only message) (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2026-09-11 13:19 [tests/selinux] pr775-checkpolicy-revdeps: add the smbcontrol test to upstream repo Milos Malik

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox